<!DOCTYPE html>
<html>

  <head>
    <title>XMLHttpRequest</title>
  </head>

  <body>
    <div id="content">
      
    </div>
  </body>


  <script>
    var xhr = new XMLHttpRequest();

    xhr.open("GET", "https://xn--4ca9a.eu/FH/people.xml");
    // blob, document, json, text, etc.
    xhr.responseType = "document";
    xhr.send();

    xhr.onload = function () {
      console.dir(xhr);

      if(xhr.status != 200) {
        alert("Es trat ein Fehler auf: " + xhr.statusText);
      }


      // var domParser = new DOMParser();
      // var people = domParser.parseFromString(data, "text/xml");

        console.dir(xhr);
        let people = xhr.response; //responseText and responseXML is old
        console.log(people);
        let persons = people.getElementsByTagName("person");
        
        for(var i = 0; i < persons.length; i++)
        {
          var first_name = persons[i].getElementsByTagName("first_name")[0].innerHTML;
          var last_name = persons[i].getElementsByTagName("last_name")[0].innerHTML;
          var birth_date = persons[i].getAttribute("born");

          var add_child = document.createElement("p");
          add_child.innerText = first_name + " " + last_name + " (" + birth_date + ")";

          var content = document.getElementById("content");
          content.appendChild(add_child);
        }

    };
    

    xhr.onerror = function(){
      alert("Error: " + xhr.status);
    };

  </script>
</html>
